<?php
// Modified from - http://www.php-mag.net/itr/online_artikel/psecom,id,447,nodeid,114
// Originally - by Wez Furlong

// opens the database, initializing the tables
// if it hasn't been done already
function gb_open()
{
 $db = sqlite_open('guestbook.db');
 $q = sqlite_query($db, "select name from "
. "sqlite_master where type='table' and "
. "tbl_name='guests'");
 if (!$q || !sqlite_fetch_array($q)) {
 // the guests table does not exist
 // so create it.
 sqlite_query($db, "create table guests("
. "id INTEGER PRIMARY KEY, "
. "name text, "
. "email text, "
. "comment text, "
. "web text, "
. "posted integer);");
 }
 return $db;
}


// Add an entry to the guest book
function gb_add($db, $name, $email, $comment, $web)
{

 $name = sqlite_escape_string($name);
 $email = sqlite_escape_string($email);
 if(strpos($email,"@")===false)
  $email="";
 $comment = sqlite_escape_string($comment);
 $web = sqlite_escape_string($web);
 $now = time();

 return sqlite_query($db, "INSERT INTO guests "
. "(id, name, email, comment, web, posted)"
. " VALUES (NULL, '$name', '$email', '$comment',"
. "'$web', $now)");
}

// Display entries from the guestbook
function gb_show($db)
{
 echo "<hr>";
 $count=sqlite_single_query($db,"SELECT count(comment) from guests");
//echo "$count entries in the guestbook<br>";
 if($count<1)
 {
  echo "The guestbook is empty";
  return;
 }
 $q = sqlite_query($db, "SELECT * from guests ". " order by posted desc");

 echo "<table border=1px cellspacing=0><tr><th style=\"background-color: rgb(0,0,0); color: rgb(255,255,255)\">Date</th>\n";
 echo "<th style=\"background-color: rgb(0,0,0); color: rgb(255,255,255)\">Guest</th>\n";
 echo "<th style=\"background-color: rgb(0,0,0); color: rgb(255,255,255)\">Comments</th></tr>";

 while ($row = sqlite_fetch_array($q, SQLITE_ASSOC))
 {
  echo "<tr>";
  echo "<td valign=top>" . strftime("%c", $row['posted']) . "</td>";
// Cannot use $x!=""
  $email=htmlentities($row['email']);

  $name=htmlentities($row['name']);
  if(strlen($name)<1) 
    $name="Anonymous";

  if(strlen($email)>0)
   echo "<td><a href='mailto:" .$email."'>" . $name . '</a><br>';
  else
   echo "<td>$name<br>";

  if (strlen($row['web'])) {
   echo "<a href='" . htmlentities($row['web']) ."'>" . htmlentities($row['web']) . "</a><br>";
 }

 echo "</td><td align=left>";
 $comment=htmlentities($row['comment']);
 if(strlen($comment)>0)
  echo $comment;
 else
  echo "&nbsp;";

 echo "</td>";
 echo "</tr>\n";
 }
 echo "</table>";
}
?>